
include(xProject)

xProject_Add(WEBSOCKETPP
    GIT_SUBMODULE
    CMAKE_ARGS -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX=
    INSTALL_COMMAND $(MAKE) install "DESTDIR=${CMAKE_BINARY_DIR}/instroot"
    INCLUDE_DIRS "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_INCLUDEDIR}/")
#add_dependencies(NTOFUTILS DIM)

# add_library(websocketpp STATIC IMPORTED)
# set_property(TARGET websocketpp PROPERTY IMPORTED_LOCATION "${WEBSOCKETPP_LIBRARIES}")
# add_dependencies(websocketpp WEBSOCKETPP)
